---
lang: en
title: 'API docs: rest.restbindings.sequenceactions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restbindings.sequenceactions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestBindings](./rest.restbindings.md) &gt; [SequenceActions](./rest.restbindings.sequenceactions.md)

## RestBindings.SequenceActions namespace

Bindings for potential actions that could be used in a sequence

**Signature:**

```typescript
namespace SequenceActions 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [FIND\_ROUTE](./rest.restbindings.sequenceactions.find_route.md) | Binding key for setting and injecting a route finding function |
|  [INVOKE\_METHOD](./rest.restbindings.sequenceactions.invoke_method.md) | Binding key for setting and injecting a controller route invoking function |
|  [INVOKE\_MIDDLEWARE](./rest.restbindings.sequenceactions.invoke_middleware.md) | Binding key for setting and injecting <code>invokeMiddleware</code> function |
|  [LOG\_ERROR](./rest.restbindings.sequenceactions.log_error.md) | Binding key for setting and injecting an error logging function |
|  [PARSE\_PARAMS](./rest.restbindings.sequenceactions.parse_params.md) | Binding key for setting and injecting a parameter parsing function |
|  [REJECT](./rest.restbindings.sequenceactions.reject.md) | Binding key for setting and injecting a bad response writing function |
|  [SEND](./rest.restbindings.sequenceactions.send.md) | Binding key for setting and injecting a response writing function |


